
<? if ($this->top10): ?>
	<div class="escorts grid">
		<? $c = 0; $_count = count( $this->top10 ); ?>
		<? foreach ( $this->top10 as $item ): ?>
			<? if ( ! $item instanceof Model_EscortV2Item ): ?>
				<? $item = new Model_EscortV2Item($item);  ?>
			<? endif; ?>
			<div class="escort grid-item <?=( $c % 2 ) ? '__odd' : '__even'?>">
				<div class="img-wrapper">
                    <img src="<?= $item->getMainPhoto()->getUrl('mobile_thumb') ?>" width="95" height="129" alt="" />
                    <span class="__ordering"><?=$c + 1; ?></span>
                </div>

				<div class="__footer">
					<a href="<?=$this->getLink('profile', array('showname' => $item->showname, 'escort_id' => $item->id ), true);?>">
						<p class="showname"><?= $item->showname ?></p>
					</a>

					<p>
						ID: <?=$item->id?>
					</p>

					<p>
						<?=$item->city?>
						<span class="rem-fav" data-link="<?= $this->getLink('remove-from-top',array('escort_id'=> $item->id));?>">
							<?=__('remove')?>
						</span>
					</p>

                    <p class="__order clearFloat">
                        <?//=__('mob_ordering')?>
                        <span data-key="up" data-id="<?=$item->id?>" class="__to_up <?=( $c == 0 ) ? 'unactive' : ''?>"></span>
                        <span data-key="down" data-id="<?=$item->id?>" class="__to_down <?=( $c + 1 == $_count ) ? 'unactive' : ''?>"></span>
                    </p>

					<p class="__btns">
						<span data-id="<?=$item->id?>" class="add-comment"><?=__('comment')?></span>
					</p>

                    <div class="comment-area inpStyle toHide">
                        <textarea><?= $item['comment'] ?></textarea>
                        <span data-id="<?=$item->id?>" class="add-comment-btn"><?=__('done')?></span>
                        <span class="__saved"><?=__('mob_saved')?></span>
                    </div>
				</div>
			</div>
		<? $c += 1; endforeach; ?>

        <?php if( $_count < 10 ): ?>
            <div class="add-from-favorites grid-item escort <?=( $c % 2 ) ? '__odd' : '__even'?>">
                <div class="img-wrapper">
                    <img src="/img/empty-img.png" width="95" height="129" alt="" />
                </div>

                <div class="top-add-text">
                    <p class="first-part"><?=__('add_top_from_favorites_1')?></p>
                    <p class="second-part"><?=__('add_top_from_favorites_2')?></p>
                </div>

                <div class="__footer">
                    <p class="__btns">
                        <a data-id="<?=$item->id?>" class="add-comment" href="<?=$this->getLink('favorites')?>">
                            <?=__('go_to_favorites')?>
                        </a>
                    </p>
                </div>
            </div>
        <?php endif; ?>

        <?php $c += 1; ?>

        <?php if( $_count % 2 == 0 && $_count < 10 && $_count ): ?>
            <div class="escort <?=( $c % 2 ) ? '__odd' : '__even'?>">

            </div>
        <?php endif; ?>
		
		<div class="clear"></div>
	</div>

	<? $per_page = $this->per_page; ?>
	<? $pages_count = ceil($this->count / $per_page); ?>

	<? if ( $pages_count != 1 ): ?>
		<p class="paging-list">
			<? $pages = $this->paging($this->count, $this->page, $per_page); ?>
			<? if ( 1 < $this->page): ?>
				<a class="prev" href="#" onclick="return MCubix.AjaxFavoritesTop.__renderReferer( <?=intval( $this->page - 1 )?> );"><?=__('previous_m')?></a>
			<? endif ?>

			<? foreach ( $pages as $page ): ?>
				<? if ( $this->page == $page ): ?>
					<span class="active"><?= $page ?></span>
				<? else: ?>
					<a class="p" href="#" onclick="return MCubix.AjaxFavoritesTop.__renderReferer( <?=intval( $page )?> );"><?= $page ?></a>
				<? endif ?>
			<? endforeach ?>

			<? if ( $pages_count > $this->page): ?>
				<a class="next" href="#" onclick="return MCubix.AjaxFavoritesTop.__renderReferer( <?=intval( $this->page + 1 )?> );"><?=__('next_m')?></a>
			<? endif ?>
		</p>
	<? endif; ?>
<? else: ?>
    <p class="not-found">
        <?= __('no_escorts_found') ?>
    </p>
<? endif; ?>

<script>
	MCubix.AjaxFavoritesTop = {
		init: function(){
			this.removeEvent();
			this.addToTop10();
			this.showComment();
			this.addComment();
			this.ordering();
		},

		removeEvent: function(){
			var  self = this,
				_rev_btn = $('.rem-fav');

			_rev_btn.on('click', function(){
				var __url = $(this).data('link');

				MCubix.OverlayV2.confirm({
					message: 'Do you want remove this escort from Favorites',
					callback: self.removeFromFavorites,
					callback_variable: __url
				})
			});
		},

		removeFromFavorites: function( __url ){
			$.ajax({
				url: __url,
				method: 'post',
				data: { ajax: 1 },
				beforeSend: function(){
					MCubix.OverlayV2.init( true, $('#favoritesList') );
				},
				success: function ( resp ) {
					MCubix.OverlayV2.init( false );
					resp = $.parseJSON( resp );

					if( resp.success ){
						MCubix.AjaxFavoritesTop.__renderReferer();
					}
				}
			});
		},

        addToTop10: function(){
            var self = this,
                __to_top_btn = $('.escort').find('.to-top-10');

            __to_top_btn.on('click', function(){
                var __e_id = $(this).data('id'),
                    __el = $(this),
                    __el_st = null,
                    __url;

                if( !__e_id ) return false;

                if( __el.hasClass('__add') ){
                    __el_st = 2;
                    __url = '<?=$this->getLink('add-to-top')?>';
                } else if( __el.hasClass('__rem') ){
                    __el_st = 1;
                    __url = '<?=$this->getLink('remove-from-top')?>';
                } else return false;

                if( !__url ) return false;

                $.ajax({
                    url: __url,
                    method: 'post',
                    data: { escort_id: __e_id },
                    beforeSend: function(){
                        __el.addClass('loading');
                    },
                    success: function( resp ){
                        var __resp = $.parseJSON( resp );
                        __el.removeClass('loading');

                        if( __resp.success ){
                            self.changeTopBtnStatusStyle( __el, __el_st );
                        }
                    }
                });
            });
        },

        changeTopBtnStatusStyle: function( __el, __el_st ){
            if( !__el_st ) return false;

            if( __el_st == 2 ){
                __el.removeClass('__add').addClass('__rem').text('<?=__("mob_remove_from_top10")?>');
            } else if( __el_st == 1 ){
                __el.removeClass('__rem').addClass('__add').text('<?=__("add_to_top_10")?>');
            } else return false;
        },

        showComment: function(){
            var self = this,
                __add_comment = $('.escort').find('.add-comment');

            __add_comment.on("click", function(){
                var __comm_area = $(this).closest('.__footer').find('.comment-area');

                if( __comm_area.hasClass('toHide') ){
                    __comm_area.removeClass('toHide');
                    MCubix.FavoritesTop.initGrids();
                } else {
                    __comm_area.addClass('toHide');
                    MCubix.FavoritesTop.initGrids();
                }
            });
        },

        addComment: function(){
            var self = this,
                __save_comment = $('.comment-area').find('.add-comment-btn');

            __save_comment.on("click", function(){
                var __comment_textarea = $(this).closest('.comment-area').find('textarea'),
                    __comment_body = __comment_textarea.val(),
                    __e_id = $(this).data('id'),
                    __el = $(this);

                if( !__e_id ) return false;

                if( !__comment_body ){
                    __comment_textarea.addClass('__error');
                    return false;
                } else {
                    __comment_textarea.removeClass('__error');
                }

                $.ajax({
                    url: '<?=$this->getLink("add-fav-comment")?>',
                    method: 'post',
                    data: { escort_id: __e_id, comment: __comment_body },
                    beforeSend: function(){
                        __el.addClass('unactive');
                    },
                    success: function( resp ){
                        var __resp = $.parseJSON( resp );
                        __el.removeClass('unactive');

                        if( __resp.success ){
                            __el.closest('.comment-area').find('.__saved').fadeIn(300).delay(2000).fadeOut(300);
                        }
                    }
                });
            });
        },

        ordering: function(){
            var self = this,
                __order_parent = $('.__footer').find('.__order');

            __order_parent.find('[class^="__to"]').on('click', function(){
                var __container = $('#favoritesList'),
                    __escort_id = $(this).data('id'),
                    __key = $(this).data('key'),
                    __url_part = '/ajax-favorites-';

                if( !__escort_id || !__key ) return false;

                $.ajax({
                    url: __url_part + __key,
                    method: 'post',
                    data: { escort_id: __escort_id },
                    beforeSend: function(){
                        MCubix.OverlayV2.init( true, __container );
                    },
                    success: function( resp ){
                        var __resp = $.parseJSON( resp );
                        //MCubix.OverlayV2.init( false );

                        if( __resp.success ) {
                            self.__renderReferer();
                        }
                    }
                });
            });
        },

		__renderReferer: function( _data ){
			if( !_data ) _data = !!_data;

			MCubix.FavoritesTop._render();
		}
	};

	MCubix.AjaxFavoritesTop.init();
</script>
